Subject: RE: [Simple] simple-message-sessions

From: Adam Roach <[email-masked]>
Date: Mon, 11 Aug 2003 14:02:34 -0500

The issue isn't head-of-line blocking. The issue is that
the SCTP congestion control is specified in such a way
that it is determined on a per-association basis, not a
per-stream basis. There is no implementation end-around
this fact; it's just the way that SCTP has been designed
(q.v. RFC 2960, section 7).

In any case, we've already reached consensus that this problem
is too large to solve at present, and that we're going with
MSRP without connection sharing. I have no doubt that adding
some mechanism -- perhaps using SCTP, perhaps not -- to allow
connection sharing between relays is something that we can
add in the future. Given the apparent complexity of the issue,
it's probably more of a research problem than a design problem.

For the time being, though, it's just wasted effort churning
through the same set of arguments all over again.

/a

> -----Original Message-----
> From: Alex Audu [mailto:[email-masked]]
> Sent: Monday, August 11, 2003 13:28
> To: Adam Roach
> Cc: [email-masked]
> Subject: Re: [Simple] simple-message-sessions
> 
> 
> Not if the SCTP implementation allocates seperate queues for separate
> streams.
> In that case, events in one stream should not impact events 
> on the other
> stream.
> At least, that is the way our in-house implementation works.
> 
> Regards,
> Alex.
> 
> Adam Roach wrote:
> 
> > Dean Willis wrote:
> >
> > > SCTP has huge advantages for inter-relay use.
> >
> > Paul Kyzivat responded:
> >
> > > I think we concluded that SCTP for inter-relay use still
> > > has problems with blocking interactions between sessions
> > > because it has no way to apply back pressure on a per-stream
> > > basis.
> >
> > Jonathan Rosenberg replied:
> >
> > > The primary benefit of SCTP would be a reduction in the
> > > number of connections between relays.
> >
> > No, it won't. That's exactly the point that Paul was trying to make.
> >
> > If you start sharing connections, even over SCTP, you get in a jam
> > once any one of your downstream connections start backing up, since
> > it is impossible to push back on a single SCTP stream. Congestion
> > on one MSRP session causes collateral damage to unrelated MSRP
> > sessions. That isn't acceptable.
> >
> > /a
> >
> > _______________________________________________
> > Simple mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/simple
> 

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple